com.genesyslab.wfm7.API.service.config750

## Class CfgAccrualRule

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config750.CfgAccrualRule

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAccrualRule
      extends java.lang.Object
      implements java.io.Serializable

  Accrual Rule information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `private int` | `wmAccrualRuleId` Accrual Rule object ID
    `private int` | `wmAdvanceMinutes` Advance Minutes
    `private int` | `wmAutoGrantMinMinutes` Minimum Auto-Grant Minutes.
    `private double` | `wmCarryOverDay` Carry-Over Day (`OleDateTime`)
    `private int` | `wmDailyVacMinutes` Daily Time Off minutes
    `private int` | `wmEstimatedDailyMinutes` Estimated Daily Minutes
    `private int` | `wmEstimatedWeeklyMinutes` Estimated Weekly Minutes
    `private double` | `wmHours` Hours
    `private int` | `wmMaxCarriedMinutes` Maximum Carried Minutes
    `private int` | `wmMaxDaysInAdvance` Maximum Days In Advance
    `private int` | `wmMaxVacMinutes` Maximum Time Off Minutes
    `private java.lang.String` | `wmName` Name of Accrual Rule
    `private int` | `wmPeriods` Periods
    `private int` | `wmPeriodType` Accrual Period Type (`ECalAccrualPeriods`)
    `private boolean` | `wmRequestWeekDelay` Request Week Delay
    `private int` | `wmSiteId` Site ID that Accrual Rule belongs to
    `private boolean` | `wmStartFromHiring` Start From Hiring (true/false)
    `private int` | `wmStartPeriods` Start Periods
    `private int` | `wmStartPeriodType` Start Period Type (`ECalStartPeriods`)
    `private int` | `wmTimeOffTypeId` An ID of associated Time Off Type object
    `private int` | `wmType` Type
    `private boolean` | `wmVacationAutoGrant` Time Off auto-grant

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAccrualRule()`
    `CfgAccrualRule(int wmAccrualRuleId, int wmSiteId, java.lang.String wmName, double wmHours, int wmPeriodType, int wmPeriods, int wmStartPeriodType, int wmStartPeriods, boolean wmStartFromHiring, int wmMaxCarriedMinutes, double wmCarryOverDay, int wmAdvanceMinutes, int wmMaxVacMinutes, int wmDailyVacMinutes, boolean wmRequestWeekDelay, boolean wmVacationAutoGrant, int wmEstimatedDailyMinutes, int wmEstimatedWeeklyMinutes, int wmTimeOffTypeId, int wmType, int wmAutoGrantMinMinutes, int wmMaxDaysInAdvance, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimestamp()` Gets the timestamp value for this CfgAccrualRule.
    `int` | `getWmAccrualRuleId()` Gets the wmAccrualRuleId value for this CfgAccrualRule.
    `int` | `getWmAdvanceMinutes()` Gets the wmAdvanceMinutes value for this CfgAccrualRule.
    `int` | `getWmAutoGrantMinMinutes()` Gets the wmAutoGrantMinMinutes value for this CfgAccrualRule.
    `double` | `getWmCarryOverDay()` Gets the wmCarryOverDay value for this CfgAccrualRule.
    `int` | `getWmDailyVacMinutes()` Gets the wmDailyVacMinutes value for this CfgAccrualRule.
    `int` | `getWmEstimatedDailyMinutes()` Gets the wmEstimatedDailyMinutes value for this CfgAccrualRule.
    `int` | `getWmEstimatedWeeklyMinutes()` Gets the wmEstimatedWeeklyMinutes value for this CfgAccrualRule.
    `double` | `getWmHours()` Gets the wmHours value for this CfgAccrualRule.
    `int` | `getWmMaxCarriedMinutes()` Gets the wmMaxCarriedMinutes value for this CfgAccrualRule.
    `int` | `getWmMaxDaysInAdvance()` Gets the wmMaxDaysInAdvance value for this CfgAccrualRule.
    `int` | `getWmMaxVacMinutes()` Gets the wmMaxVacMinutes value for this CfgAccrualRule.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgAccrualRule.
    `int` | `getWmPeriods()` Gets the wmPeriods value for this CfgAccrualRule.
    `int` | `getWmPeriodType()` Gets the wmPeriodType value for this CfgAccrualRule.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this CfgAccrualRule.
    `int` | `getWmStartPeriods()` Gets the wmStartPeriods value for this CfgAccrualRule.
    `int` | `getWmStartPeriodType()` Gets the wmStartPeriodType value for this CfgAccrualRule.
    `int` | `getWmTimeOffTypeId()` Gets the wmTimeOffTypeId value for this CfgAccrualRule.
    `int` | `getWmType()` Gets the wmType value for this CfgAccrualRule.
    `boolean` | `isWmRequestWeekDelay()` Gets the wmRequestWeekDelay value for this CfgAccrualRule.
    `boolean` | `isWmStartFromHiring()` Gets the wmStartFromHiring value for this CfgAccrualRule.
    `boolean` | `isWmVacationAutoGrant()` Gets the wmVacationAutoGrant value for this CfgAccrualRule.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgAccrualRule.
    `void` | `setWmAccrualRuleId(int wmAccrualRuleId)` Sets the wmAccrualRuleId value for this CfgAccrualRule.
    `void` | `setWmAdvanceMinutes(int wmAdvanceMinutes)` Sets the wmAdvanceMinutes value for this CfgAccrualRule.
    `void` | `setWmAutoGrantMinMinutes(int wmAutoGrantMinMinutes)` Sets the wmAutoGrantMinMinutes value for this CfgAccrualRule.
    `void` | `setWmCarryOverDay(double wmCarryOverDay)` Sets the wmCarryOverDay value for this CfgAccrualRule.
    `void` | `setWmDailyVacMinutes(int wmDailyVacMinutes)` Sets the wmDailyVacMinutes value for this CfgAccrualRule.
    `void` | `setWmEstimatedDailyMinutes(int wmEstimatedDailyMinutes)` Sets the wmEstimatedDailyMinutes value for this CfgAccrualRule.
    `void` | `setWmEstimatedWeeklyMinutes(int wmEstimatedWeeklyMinutes)` Sets the wmEstimatedWeeklyMinutes value for this CfgAccrualRule.
    `void` | `setWmHours(double wmHours)` Sets the wmHours value for this CfgAccrualRule.
    `void` | `setWmMaxCarriedMinutes(int wmMaxCarriedMinutes)` Sets the wmMaxCarriedMinutes value for this CfgAccrualRule.
    `void` | `setWmMaxDaysInAdvance(int wmMaxDaysInAdvance)` Sets the wmMaxDaysInAdvance value for this CfgAccrualRule.
    `void` | `setWmMaxVacMinutes(int wmMaxVacMinutes)` Sets the wmMaxVacMinutes value for this CfgAccrualRule.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgAccrualRule.
    `void` | `setWmPeriods(int wmPeriods)` Sets the wmPeriods value for this CfgAccrualRule.
    `void` | `setWmPeriodType(int wmPeriodType)` Sets the wmPeriodType value for this CfgAccrualRule.
    `void` | `setWmRequestWeekDelay(boolean wmRequestWeekDelay)` Sets the wmRequestWeekDelay value for this CfgAccrualRule.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this CfgAccrualRule.
    `void` | `setWmStartFromHiring(boolean wmStartFromHiring)` Sets the wmStartFromHiring value for this CfgAccrualRule.
    `void` | `setWmStartPeriods(int wmStartPeriods)` Sets the wmStartPeriods value for this CfgAccrualRule.
    `void` | `setWmStartPeriodType(int wmStartPeriodType)` Sets the wmStartPeriodType value for this CfgAccrualRule.
    `void` | `setWmTimeOffTypeId(int wmTimeOffTypeId)` Sets the wmTimeOffTypeId value for this CfgAccrualRule.
    `void` | `setWmType(int wmType)` Sets the wmType value for this CfgAccrualRule.
    `void` | `setWmVacationAutoGrant(boolean wmVacationAutoGrant)` Sets the wmVacationAutoGrant value for this CfgAccrualRule.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmAccrualRuleId

          private int wmAccrualRuleId

      Accrual Rule object ID

    - #### wmSiteId

          private int wmSiteId

      Site ID that Accrual Rule belongs to

    - #### wmName

          private java.lang.String wmName

      Name of Accrual Rule

    - #### wmHours

          private double wmHours

      Hours

    - #### wmPeriodType

          private int wmPeriodType

      Accrual Period Type (`ECalAccrualPeriods`)

    - #### wmPeriods

          private int wmPeriods

      Periods

    - #### wmStartPeriodType

          private int wmStartPeriodType

      Start Period Type (`ECalStartPeriods`)

    - #### wmStartPeriods

          private int wmStartPeriods

      Start Periods

    - #### wmStartFromHiring

          private boolean wmStartFromHiring

      Start From Hiring (true/false)

    - #### wmMaxCarriedMinutes

          private int wmMaxCarriedMinutes

      Maximum Carried Minutes

    - #### wmCarryOverDay

          private double wmCarryOverDay

      Carry-Over Day (`OleDateTime`)

    - #### wmAdvanceMinutes

          private int wmAdvanceMinutes

      Advance Minutes

    - #### wmMaxVacMinutes

          private int wmMaxVacMinutes

      Maximum Time Off Minutes

    - #### wmDailyVacMinutes

          private int wmDailyVacMinutes

      Daily Time Off minutes

    - #### wmRequestWeekDelay

          private boolean wmRequestWeekDelay

      Request Week Delay

    - #### wmVacationAutoGrant

          private boolean wmVacationAutoGrant

      Time Off auto-grant

    - #### wmEstimatedDailyMinutes

          private int wmEstimatedDailyMinutes

      Estimated Daily Minutes

    - #### wmEstimatedWeeklyMinutes

          private int wmEstimatedWeeklyMinutes

      Estimated Weekly Minutes

    - #### wmTimeOffTypeId

          private int wmTimeOffTypeId

      An ID of associated Time Off Type object

    - #### wmType

          private int wmType

      Type

    - #### wmAutoGrantMinMinutes

          private int wmAutoGrantMinMinutes

      Minimum Auto-Grant Minutes.

    - #### wmMaxDaysInAdvance

          private int wmMaxDaysInAdvance

      Maximum Days In Advance

    - #### timestamp

          private long timestamp

      A timestamp value -- marks time point when Object information was obtained

  - ### Constructor Detail

    - #### CfgAccrualRule

          public CfgAccrualRule()

    - #### CfgAccrualRule

          public CfgAccrualRule(int wmAccrualRuleId,
                        int wmSiteId,
                        java.lang.String wmName,
                        double wmHours,
                        int wmPeriodType,
                        int wmPeriods,
                        int wmStartPeriodType,
                        int wmStartPeriods,
                        boolean wmStartFromHiring,
                        int wmMaxCarriedMinutes,
                        double wmCarryOverDay,
                        int wmAdvanceMinutes,
                        int wmMaxVacMinutes,
                        int wmDailyVacMinutes,
                        boolean wmRequestWeekDelay,
                        boolean wmVacationAutoGrant,
                        int wmEstimatedDailyMinutes,
                        int wmEstimatedWeeklyMinutes,
                        int wmTimeOffTypeId,
                        int wmType,
                        int wmAutoGrantMinMinutes,
                        int wmMaxDaysInAdvance,
                        long timestamp)

  - ### Method Detail

    - #### getWmAccrualRuleId

          public int getWmAccrualRuleId()

      Gets the wmAccrualRuleId value for this CfgAccrualRule.
      Returns:
        wmAccrualRuleId

    - #### setWmAccrualRuleId

          public void setWmAccrualRuleId(int wmAccrualRuleId)

      Sets the wmAccrualRuleId value for this CfgAccrualRule.
      Parameters:
        `wmAccrualRuleId` -

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this CfgAccrualRule.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this CfgAccrualRule.
      Parameters:
        `wmSiteId` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgAccrualRule.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgAccrualRule.
      Parameters:
        `wmName` -

    - #### getWmHours

          public double getWmHours()

      Gets the wmHours value for this CfgAccrualRule.
      Returns:
        wmHours

    - #### setWmHours

          public void setWmHours(double wmHours)

      Sets the wmHours value for this CfgAccrualRule.
      Parameters:
        `wmHours` -

    - #### getWmPeriodType

          public int getWmPeriodType()

      Gets the wmPeriodType value for this CfgAccrualRule.
      Returns:
        wmPeriodType

    - #### setWmPeriodType

          public void setWmPeriodType(int wmPeriodType)

      Sets the wmPeriodType value for this CfgAccrualRule.
      Parameters:
        `wmPeriodType` -

    - #### getWmPeriods

          public int getWmPeriods()

      Gets the wmPeriods value for this CfgAccrualRule.
      Returns:
        wmPeriods

    - #### setWmPeriods

          public void setWmPeriods(int wmPeriods)

      Sets the wmPeriods value for this CfgAccrualRule.
      Parameters:
        `wmPeriods` -

    - #### getWmStartPeriodType

          public int getWmStartPeriodType()

      Gets the wmStartPeriodType value for this CfgAccrualRule.
      Returns:
        wmStartPeriodType

    - #### setWmStartPeriodType

          public void setWmStartPeriodType(int wmStartPeriodType)

      Sets the wmStartPeriodType value for this CfgAccrualRule.
      Parameters:
        `wmStartPeriodType` -

    - #### getWmStartPeriods

          public int getWmStartPeriods()

      Gets the wmStartPeriods value for this CfgAccrualRule.
      Returns:
        wmStartPeriods

    - #### setWmStartPeriods

          public void setWmStartPeriods(int wmStartPeriods)

      Sets the wmStartPeriods value for this CfgAccrualRule.
      Parameters:
        `wmStartPeriods` -

    - #### isWmStartFromHiring

          public boolean isWmStartFromHiring()

      Gets the wmStartFromHiring value for this CfgAccrualRule.
      Returns:
        wmStartFromHiring

    - #### setWmStartFromHiring

          public void setWmStartFromHiring(boolean wmStartFromHiring)

      Sets the wmStartFromHiring value for this CfgAccrualRule.
      Parameters:
        `wmStartFromHiring` -

    - #### getWmMaxCarriedMinutes

          public int getWmMaxCarriedMinutes()

      Gets the wmMaxCarriedMinutes value for this CfgAccrualRule.
      Returns:
        wmMaxCarriedMinutes

    - #### setWmMaxCarriedMinutes

          public void setWmMaxCarriedMinutes(int wmMaxCarriedMinutes)

      Sets the wmMaxCarriedMinutes value for this CfgAccrualRule.
      Parameters:
        `wmMaxCarriedMinutes` -

    - #### getWmCarryOverDay

          public double getWmCarryOverDay()

      Gets the wmCarryOverDay value for this CfgAccrualRule.
      Returns:
        wmCarryOverDay

    - #### setWmCarryOverDay

          public void setWmCarryOverDay(double wmCarryOverDay)

      Sets the wmCarryOverDay value for this CfgAccrualRule.
      Parameters:
        `wmCarryOverDay` -

    - #### getWmAdvanceMinutes

          public int getWmAdvanceMinutes()

      Gets the wmAdvanceMinutes value for this CfgAccrualRule.
      Returns:
        wmAdvanceMinutes

    - #### setWmAdvanceMinutes

          public void setWmAdvanceMinutes(int wmAdvanceMinutes)

      Sets the wmAdvanceMinutes value for this CfgAccrualRule.
      Parameters:
        `wmAdvanceMinutes` -

    - #### getWmMaxVacMinutes

          public int getWmMaxVacMinutes()

      Gets the wmMaxVacMinutes value for this CfgAccrualRule.
      Returns:
        wmMaxVacMinutes

    - #### setWmMaxVacMinutes

          public void setWmMaxVacMinutes(int wmMaxVacMinutes)

      Sets the wmMaxVacMinutes value for this CfgAccrualRule.
      Parameters:
        `wmMaxVacMinutes` -

    - #### getWmDailyVacMinutes

          public int getWmDailyVacMinutes()

      Gets the wmDailyVacMinutes value for this CfgAccrualRule.
      Returns:
        wmDailyVacMinutes

    - #### setWmDailyVacMinutes

          public void setWmDailyVacMinutes(int wmDailyVacMinutes)

      Sets the wmDailyVacMinutes value for this CfgAccrualRule.
      Parameters:
        `wmDailyVacMinutes` -

    - #### isWmRequestWeekDelay

          public boolean isWmRequestWeekDelay()

      Gets the wmRequestWeekDelay value for this CfgAccrualRule.
      Returns:
        wmRequestWeekDelay

    - #### setWmRequestWeekDelay

          public void setWmRequestWeekDelay(boolean wmRequestWeekDelay)

      Sets the wmRequestWeekDelay value for this CfgAccrualRule.
      Parameters:
        `wmRequestWeekDelay` -

    - #### isWmVacationAutoGrant

          public boolean isWmVacationAutoGrant()

      Gets the wmVacationAutoGrant value for this CfgAccrualRule.
      Returns:
        wmVacationAutoGrant

    - #### setWmVacationAutoGrant

          public void setWmVacationAutoGrant(boolean wmVacationAutoGrant)

      Sets the wmVacationAutoGrant value for this CfgAccrualRule.
      Parameters:
        `wmVacationAutoGrant` -

    - #### getWmEstimatedDailyMinutes

          public int getWmEstimatedDailyMinutes()

      Gets the wmEstimatedDailyMinutes value for this CfgAccrualRule.
      Returns:
        wmEstimatedDailyMinutes

    - #### setWmEstimatedDailyMinutes

          public void setWmEstimatedDailyMinutes(int wmEstimatedDailyMinutes)

      Sets the wmEstimatedDailyMinutes value for this CfgAccrualRule.
      Parameters:
        `wmEstimatedDailyMinutes` -

    - #### getWmEstimatedWeeklyMinutes

          public int getWmEstimatedWeeklyMinutes()

      Gets the wmEstimatedWeeklyMinutes value for this CfgAccrualRule.
      Returns:
        wmEstimatedWeeklyMinutes

    - #### setWmEstimatedWeeklyMinutes

          public void setWmEstimatedWeeklyMinutes(int wmEstimatedWeeklyMinutes)

      Sets the wmEstimatedWeeklyMinutes value for this CfgAccrualRule.
      Parameters:
        `wmEstimatedWeeklyMinutes` -

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the wmTimeOffTypeId value for this CfgAccrualRule.
      Returns:
        wmTimeOffTypeId

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int wmTimeOffTypeId)

      Sets the wmTimeOffTypeId value for this CfgAccrualRule.
      Parameters:
        `wmTimeOffTypeId` -

    - #### getWmType

          public int getWmType()

      Gets the wmType value for this CfgAccrualRule.
      Returns:
        wmType

    - #### setWmType

          public void setWmType(int wmType)

      Sets the wmType value for this CfgAccrualRule.
      Parameters:
        `wmType` -

    - #### getWmAutoGrantMinMinutes

          public int getWmAutoGrantMinMinutes()

      Gets the wmAutoGrantMinMinutes value for this CfgAccrualRule.
      Returns:
        wmAutoGrantMinMinutes

    - #### setWmAutoGrantMinMinutes

          public void setWmAutoGrantMinMinutes(int wmAutoGrantMinMinutes)

      Sets the wmAutoGrantMinMinutes value for this CfgAccrualRule.
      Parameters:
        `wmAutoGrantMinMinutes` -

    - #### getWmMaxDaysInAdvance

          public int getWmMaxDaysInAdvance()

      Gets the wmMaxDaysInAdvance value for this CfgAccrualRule.
      Returns:
        wmMaxDaysInAdvance

    - #### setWmMaxDaysInAdvance

          public void setWmMaxDaysInAdvance(int wmMaxDaysInAdvance)

      Sets the wmMaxDaysInAdvance value for this CfgAccrualRule.
      Parameters:
        `wmMaxDaysInAdvance` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgAccrualRule.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgAccrualRule.
      Parameters:
        `timestamp` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.